export interface MessengerProfileParams {
    url: string;
    pageAccessToken: string;
    options?: RequestInit;
}
export interface DeleteMessengerProfileParams extends MessengerProfileParams {
    fields: {
        [key: string]: any;
    };
}
export interface GetMessengerProfileParams extends MessengerProfileParams {
    fields?: string | string[];
}
export interface SetMessengerProfileParams extends MessengerProfileParams {
    body: {
        [key: string]: any;
    };
}
import { RequestInit } from 'node-fetch';
export declare function deleteMessengerProfile({url, pageAccessToken, fields, options}: DeleteMessengerProfileParams): Promise<any>;
export declare function getMessengerProfile({url, pageAccessToken, fields, options}: GetMessengerProfileParams): Promise<any>;
export declare function setMessengerProfile({url, pageAccessToken, body, options}: SetMessengerProfileParams): Promise<any>;
declare const _default: {
    delete: typeof deleteMessengerProfile;
    get: typeof getMessengerProfile;
    set: typeof setMessengerProfile;
};
export default _default;
