/// <reference types="express" />
export interface MessageflowHandlers {
    onMessage?<T>(sender: FacebookEventId, text: string): Promise<T>;
    onQuickReply?<T>(sender: FacebookEventId, quickReply: MessagePayload): Promise<T>;
    onPostback?<T>(sender: FacebookEventId, postback: FacebookPostbackEventPostback): Promise<T>;
}
export declare type NotificationType = 'NO_PUSH' | 'REGULAR' | 'SILENT_PUSH';
export interface MessageflowConfig extends MessageflowHandlers {
    appId: string;
    pageAccessToken: string;
    pageId: string;
    url: string;
    verifyToken: string;
    fetchTimeout?: number;
    notificationType?: NotificationType;
    typingDelay?: number;
}
import { RequestInit } from 'node-fetch';
import { MessagePayload } from './handle-receive-message';
import { FacebookPostbackEventPostback } from './handle-receive-postback';
import { FacebookEventId } from './webhook';
import express from 'express';
export declare function messageflow(config?: MessageflowConfig, options?: RequestInit): express.Application;
export * from './handle-domain-whitelisting';
export * from './handle-messenger-code';
export * from './handle-messenger-profile';
export * from './handle-receive-message';
export * from './handle-receive-postback';
export * from './messenger-code';
export * from './verify-setup';
export * from './webhook';
export default messageflow;
